nxt.http.callers

## Class GetCurrencyCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetCurrencyCall>
  - - nxt.http.callers.GetCurrencyCall

-     public class GetCurrencyCall
      extends APICall.Builder<GetCurrencyCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetCurrencyCall` | `code(java.lang.String code)`
    `static GetCurrencyCall` | `create(int chain)`
    `GetCurrencyCall` | `currency(long currency)`
    `GetCurrencyCall` | `currency(java.lang.String currency)`
    `GetCurrencyCall` | `includeCounts(boolean includeCounts)`
    `GetCurrencyCall` | `includeDeleted(boolean includeDeleted)`
    `GetCurrencyCall` | `requireBlock(java.lang.String requireBlock)`
    `GetCurrencyCall` | `requireLastBlock(java.lang.String requireLastBlock)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetCurrencyCall create(int chain)

    - #### requireLastBlock

          public GetCurrencyCall requireLastBlock(java.lang.String requireLastBlock)

    - #### code

          public GetCurrencyCall code(java.lang.String code)

    - #### includeCounts

          public GetCurrencyCall includeCounts(boolean includeCounts)

    - #### includeDeleted

          public GetCurrencyCall includeDeleted(boolean includeDeleted)

    - #### currency

          public GetCurrencyCall currency(java.lang.String currency)

    - #### currency

          public GetCurrencyCall currency(long currency)

    - #### requireBlock

          public GetCurrencyCall requireBlock(java.lang.String requireBlock)